commit ce3001ff1d734e0763a1a5e434272bf89df1fe06
Author: liuhongt <hongtao.liu@intel.com>
Date:   Tue Aug 18 13:18:03 2020 +0800

    Adjust testcase.
    
    Since This testcase is used to check generation of AVX512 vector
    comparison, scan-assembler for vmov instruction could be deleted, also
    -mprefer-vector-width=512 is added to avoid impact of different
    default arch/tune of GCC.
    
    gcc/testsuite
            PR target/96574
            * gcc.target/i386/pr92865-1.c: Adjust testcase.

diff --git a/gcc/testsuite/gcc.target/i386/pr92865-1.c b/gcc/testsuite/gcc.target/i386/pr92865-1.c
index 8aeab608626..05f48986b66 100644
--- a/gcc/testsuite/gcc.target/i386/pr92865-1.c
+++ b/gcc/testsuite/gcc.target/i386/pr92865-1.c
@@ -1,12 +1,8 @@
 /* PR target/92865 */
 /* { dg-do compile } */
-/* { dg-options "-Ofast -mavx512bw -mxop" } */
-/* { dg-final { scan-assembler-times "vpcmp\[bwdq\]\[\t ]" 4 } } */
-/* { dg-final { scan-assembler-times "vpcmpu\[bwdq\]\[\t ]" 4 } } */
-/* { dg-final { scan-assembler-times "vmovdq\[au\]8\[\t ]" 6 } } */
-/* { dg-final { scan-assembler-times "vmovdq\[au\]16\[\t ]" 6 } } *
-/* { dg-final { scan-assembler-times "vmovdq\[au\]32\[\t ]" 6 } } */
-/* { dg-final { scan-assembler-times "vmovdq\[au\]64\[\t ]" 6 } } */
+/* { dg-options "-Ofast -mavx512bw -mxop -mprefer-vector-width=512" } */
+/* { dg-final { scan-assembler-times "vpcmp\[bwdq\]\[\t \]\[^\n\{\]*zmm\[^\n\{\]*k\[0-7\](?:\n|\[ \t\]+#)" 4 } } */
+/* { dg-final { scan-assembler-times "vpcmpu\[bwdq\]\[\t \]\[^\n\{\]*zmm\[^\n\{\]*k\[0-7\](?:\n|\[ \t\]+#)" 4 } } */
 
 extern char arraysb[64];
 extern short arraysw[32];

